from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Int, String, Boolean, Float, File

Gcloud_Compute_Ssh_V0_1_0 = CommandToolBuilder(tool="gcloud_compute_ssh", base_command=["gcloud", "compute", "ssh"], inputs=[ToolInput(tag="in_instance", input_type=Int(optional=True), prefix="-L", doc=InputDocumentation(doc=":%INSTANCE%:80")), ToolInput(tag="in_command", input_type=String(optional=True), prefix="--command", doc=InputDocumentation(doc="A command to run on the virtual machine.\nRuns the command on the target instance and then exits.")), ToolInput(tag="in_container", input_type=String(optional=True), prefix="--container", doc=InputDocumentation(doc="The name or ID of a container inside of the virtual machine instance to\nconnect to. This only applies to virtual machines that are using a\nGoogle Container-Optimized virtual machine image. For more information,\nsee https://cloud.google.com/compute/docs/containers")), ToolInput(tag="in_dry_run", input_type=Boolean(optional=True), prefix="--dry-run", doc=InputDocumentation(doc="If provided, prints the command that would be run to standard out\ninstead of executing it.")), ToolInput(tag="in_force_key_file_overwrite", input_type=Boolean(optional=True), prefix="--force-key-file-overwrite", doc=InputDocumentation(doc="If enabled gcloud will regenerate and overwrite the files associated\nwith a broken SSH key without asking for confirmation in both\ninteractive and non-interactive environment.\nIf disabled gcloud will not attempt to regenerate the files associated\nwith a broken SSH key and fail in both interactive and non-interactive\nenvironment.")), ToolInput(tag="in_plain", input_type=Boolean(optional=True), prefix="--plain", doc=InputDocumentation(doc="Suppresses the automatic addition of ssh(1)/scp(1) flags. This flag is\nuseful if you want to take care of authentication yourself or use\nspecific ssh/scp features.")), ToolInput(tag="in_ssh_flag", input_type=Float(optional=True), prefix="--ssh-flag", doc=InputDocumentation(doc="Additional flags to be passed to ssh(1). It is recommended that flags\nbe passed using an assignment operator and quotes. This flag will\nreplace occurences of %USER% and %INSTANCE% with their dereferenced\nvalues. Example:\n$ gcloud compute ssh example-instance --zone us-central1-a \\n--ssh-flag='-vvv' --ssh-flag='-L 80:%INSTANCE%:80'\nis equivalent to passing the flags --vvv and -L 80:162.222.181.197:80\nto ssh(1) if the external IP address of 'example-instance' is\n162.222.181.197.")), ToolInput(tag="in_ssh_key_file", input_type=File(optional=True), prefix="--ssh-key-file", doc=InputDocumentation(doc="The path to the SSH key file. By default, this is\n~/.ssh/google_compute_engine.")), ToolInput(tag="in_strict_host_key_checking", input_type=String(optional=True), prefix="--strict-host-key-checking", doc=InputDocumentation(doc="Override the default behavior of StrictHostKeyChecking. By default,\nStrictHostKeyChecking is set to 'no' the first time you connect to an\ninstance and will be set to 'yes' for all subsequent connections. Use\nthis flag to specify a value for the connection.\nSTRICT_HOST_KEY_CHECKING must be one of: yes, no, ask.")), ToolInput(tag="in_zone", input_type=String(optional=True), prefix="--zone", doc=InputDocumentation(doc="The zone of the instance to connect to. If not specified, you may be\nprompted to select a zone.\nTo avoid prompting when this flag is omitted, you can set the\ncompute/zone property:\n$ gcloud config set compute/zone ZONE\nA list of zones can be fetched by running:\n$ gcloud compute zones list\nTo unset the property, run:\n$ gcloud config unset compute/zone\nAlternatively, the zone can be stored in the environment variable\nCLOUDSDK_COMPUTE_ZONE.")), ToolInput(tag="in_address_dot", input_type=String(), position=0, doc=InputDocumentation(doc="This command ensures that the user's public SSH key is present in the"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Gcloud_Compute_Ssh_V0_1_0().translate("wdl", allow_empty_container=True)

